
function init()
{
  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

  try {
    var checkboxes = ["percentDisplay", "speedDisplay", "sizeDisplay", "timeDisplay",
    				  "removeOnOpen", "removeOnShow", "askOnDelete", "clearOnClose", "imageRemove", 
    				  "downloadRemove"];
    for (var i = 0; i < checkboxes.length; ++i) {
      var checkbox = document.getElementById(checkboxes[i]);
      checkbox.checked = pref.getBoolPref(checkbox.getAttribute("prefstring"));
    }
    
    var textboxes = ["imageRmSec", "downloadRmSec"];
    for (var i = 0; i < textboxes.length; ++i) {
    	var textbox = document.getElementById(textboxes[i]);
    	var prefstring = textbox.getAttribute("prefstring");
    	textbox.value = pref.getIntPref(prefstring);
    }
    
  }
  catch (e) {
  }
}

function saveSettings()
{
  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
  
  var checkboxes = ["percentDisplay", "speedDisplay", "sizeDisplay", "timeDisplay", 
  					"removeOnOpen", "removeOnShow", "askOnDelete", "clearOnClose", "imageRemove", 
  					"downloadRemove"];
  
  // only let the user select 2 or less display items
  var count = 0;
  for (var j = 0; j < 4; ++j) {
  	var checkbox = document.getElementById(checkboxes[j]);
  	if (checkbox.checked) ++count;
  }
  if (count > 2) {
  	alert("Veuillez choisir au maximum deux options d'affichage. Vos param\u00e8tres ne sont pas enregistr\u00e9s, merci de recommancer.");
  	return false;
  }
  
  for (var i = 0; i < checkboxes.length; ++i) {
    var checkbox = document.getElementById(checkboxes[i]);
    pref.setBoolPref(checkbox.getAttribute("prefstring"), checkbox.checked);
  }
  
  var textboxes = ["imageRmSec", "downloadRmSec"];
  for (var i = 0; i < textboxes.length; ++i) {
  	var textbox = document.getElementById(textboxes[i]);
  	pref.setIntPref(textbox.getAttribute("prefstring"), textbox.value);
  }

  // Now get a reference to the main window and reset the new display
  var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
  var wrecent = wm.getMostRecentWindow("navigator:browser");
  wrecent.readPrefs();
  wrecent.setAllDisplayItems();

  return true;
}

/*function setColorWell (aPicker) {
	
	var colorRef = aPicker.nextSibling;
	colorRef.setAttribute("value", aPicker.color);	
}*/