const APP_DISPLAY_NAME = "Download Statusbar";
const APP_NAME = "downbar";
const APP_PACKAGE = "/Devon Jensen/downbar";
const APP_VERSION = "0.82_fr_01";

const APP_JAR_FILE = "downbar.jar";
const APP_CONTENT_FOLDER = "content/downbar/";
const APP_SKIN_FOLDER  = "skin/classic/downbar/";

const APP_SUCCESS_MESSAGE = "Il est vivement recommand\u00e9 de vider l'historique des t\u00e9l\u00e9chargements avant de r\u00e9demarrer le navigateur.";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;
var contenttype;
var skintype;

if(confirm("Si vous souhaitez installer cette extension dans votre profil, choisissez OK.\n\nSi vous voulez plut\u00f4t la mettre dans le dossier de l'application, choisissez Annuler.")) {
	chromef = getFolder("Profile", "chrome");
	contenttype = CONTENT | PROFILE_CHROME;
	skintype = SKIN  | PROFILE_CHROME;
	var prefFolder = getFolder('Program', 'defaults/pref/');      // Can this go in the profile too?  Tried it, not working.
	addFile("Devon Jensen", "downbarconfig.js", prefFolder, '');
}
else {
	chromef = getFolder("Chrome");
	contenttype = CONTENT | DELAYED_CHROME;
	skintype = SKIN  | DELAYED_CHROME;
	var prefFolder = getFolder('Program', 'defaults/pref/');
	addFile("Devon Jensen", "downbarconfig.js", prefFolder, '');
}

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);
		
if(err >= SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(contenttype, jar, APP_CONTENT_FOLDER);
	registerChrome(skintype, jar, APP_SKIN_FOLDER);
	err = performInstall();
	if(err >= SUCCESS) {
		alert("L'extension " + APP_DISPLAY_NAME + " " + APP_VERSION + " a \u00e9t\u00e9 install\u00e9e avec succ\u00e8s.\n"
			+APP_SUCCESS_MESSAGE);
	} else { 
		alert("L'installation a \u00e9chou\u00e9. Code de l'erreur rencontr\u00e9e :" + err);
		cancelInstall(err);
	}
} else { 
	alert("Impossible de cr\u00e9er " +APP_JAR_FILE +"\n"
		+"Il est probable que vous n'ayiez pas les persmission appropri\u00e9es \n"
		+"(l'acc\u00e8s en \u00e9criture au dossier chrome de l'application est n\u00e9cessaire). \n"
		+"_____________________________\nCode d'erreur :" + err);
	cancelInstall(err);
}
